Problems while upgrading 6.2(1)E3 to 7.0(4) E4 ...???

Unanswered Question
Sep 14th, 2010

Hi all,

i want to upgrade signature on IDS, but IDS is on E3.

i know i have to use IPS-K9-7.0-2-E4.pkg to directly upgrade to E4.

my only concern, is there anything to take care of before doing this. or while doing this upgrade.

because this router is very important and i don't want to lose anything,

can you people share the information so that i can do this without getting into any problem.

and please note platform is IDSM-2

thanx

sh version

Application Partition:

Cisco Intrusion Prevention System, Version 6.2(1)E3

Host:
    Realm Keys          key1.0
Signature Definition:
    Signature Update    S479.0                   2010-03-19
    Virus Update        V1.4                     2007-03-02
OS Version:             2.4.30-IDS-smp-bigphys
Platform:               WS-SVC-IDSM-2
Serial Number:          +++++++++
Licensed, expires:      03-May-2011 UTC
Sensor up-time is 103 days.
Using 1407365120 out of 1983508480 bytes of available memory (70% usage)
application-data is using 37.4M out of 166.8M bytes of available disk space (24%                                              usage)
boot is using 39.7M out of 68.6M bytes of available disk space (61% usage)
application-log is using 531.3M out of 2.8G bytes of available disk space (20% u                                             sage)


MainApp          E-2008_OCT_16_16_24   (Release)   2008-10-16T16:40:57-0500   Ru                                             nning
AnalysisEngine   E-2008_OCT_16_16_24   (Release)   2008-10-16T16:40:57-0500   Ru                                             nning
CLI              E-2008_OCT_16_16_24   (Release)   2008-10-16T16:40:57-0500                                                

Upgrade History:

* IPS-sig-S467-req-E3       23:25:03 UTC Sun Feb 07 2010
  IPS-sig-S479-req-E3.pkg   03:10:04 UTC Thu Jun 03 2010

Maintenance Partition Version 2.1(1)

Recovery Partition Version 1.1 - 6.2(1)E3

Host Certificate Valid from: 27-Jul-2010 to 27-Jul-2012

I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
Loading.
mikecrowe4ICS_2 Tue, 09/14/2010 - 18:21

Charanjit --

Before starting any upgrade work, I would suggest ALWAYS reading through the new version's release notes.  They will provide any warnings, caveats, or special procedures that might be needed before doing the upgrade.  Also, they will list out any basic requirements to use the new software.  Release notes for 7.0(4)E4 can be found here:

http://www.cisco.com/en/US/docs/security/ips/7.0/release/notes/22789_01.html#wp1043779

That being said, it looks like you should have no problem upgrading directly to 7.0(4)E4 from your current version.  From the link:

"The minimum required version for upgrading to 7.0(4)E4 is 5.1(6)E3 or later"

You shouldn't have to worry about the rest of the router chassis and modules, as the IDSM upgrades and reboots independently from the rest of the system.  Just know that the upgrade can take a little while, so be patient while the module reboots and gets started up.

Of course, as with any upgrade, I would make new backups of all configurations and data before installation, just in case something unexpected occurs.

talktobunty83 Tue, 09/14/2010 - 20:27

Thanks micheal for you quick reply,

I am concern there are recovery files to download.

Where we use them if something gets wrong while upgrading.

Suppose something gets wrong when I m 6.2(1)E3 to 7.0(4).

Is there any recovery software available, and how to get back to original working sensor 6.2(1)E3

I want to know rollback process.

Thanks

##################

Actions

This Discussion